Uploaded image for project: 'Spring Data Commons'
  1. Spring Data Commons
  2. DATACMNS-702

QueryDSL starting from version 4.0.0 is not compatible due to package rename

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 1.10 GA (Fowler)
    • Fix Version/s: None
    • Component/s: Core
    • Labels:
      None

      Description

      Packages of QueryDSL have been renamed from com.mysema.query.* to com.querydsl.* . QueryDslPredicateExecutor depends on the old package names, which makes latest QueryDSL unusable with Spring Data.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              olivergierke Oliver Drotbohm
              Reporter:
              afedulov Alexander Fedulov
              Last updater:
              Oliver Drotbohm
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: